======================
Boards and Accessories
======================

.. currentmodule:: gpiozero

These additional interfaces are provided to group collections of components
together for ease of use, and as examples. They are composites made up of
components from the various :doc:`api_input` and :doc:`api_output` provided by
GPIO Zero. See those pages for more information on using components
individually.

.. note::

    All GPIO pin numbers use Broadcom (BCM) numbering. See the :doc:`recipes`
    page for more information.

LED Board
=========

.. autoclass:: LEDBoard(\*pins, pwm=False, active_high=True, initial_value=False, \*\*named_pins)
    :inherited-members:
    :members:

LED Bar Graph
=============

.. autoclass:: LEDBarGraph(\*pins, initial_value=0)
    :inherited-members:
    :members:

Traffic Lights
==============

.. autoclass:: TrafficLights
    :inherited-members:
    :members:

PiLITEr
=======

.. autoclass:: PiLiter
    :inherited-members:
    :members:

PiLITEr Bar Graph
=================

.. autoclass:: PiLiterBarGraph
    :inherited-members:
    :members:

PI-TRAFFIC
==========

.. autoclass:: PiTraffic
    :inherited-members:
    :members:

TrafficLightsBuzzer
===================

.. autoclass:: TrafficLightsBuzzer
    :inherited-members:
    :members:

Fish Dish
=========

.. autoclass:: FishDish
    :inherited-members:
    :members:

Traffic HAT
===========

.. autoclass:: TrafficHat
    :inherited-members:
    :members:

Robot
=====

.. autoclass:: Robot
    :inherited-members:
    :members:

Ryanteck MCB Robot
==================

.. autoclass:: RyanteckRobot
    :inherited-members:
    :members:

CamJam #3 Kit Robot
===================

.. autoclass:: CamJamKitRobot
    :inherited-members:
    :members:

Energenie
=========

.. autoclass:: Energenie
    :inherited-members:
    :members:

